Subject: bug#25463: guile-2.0.13 Check errors

From: Manolis Ragkousis <[email-masked]>
Date: Sun, 19 Feb 2017 17:53:11 +0200

Hello,

On 02/11/2017 11:03 PM, Ludovic Courtès wrote:
> Hello!
> 
> [email-masked] skribis:
> 
>> I am trying to build guile version 2.0.13 in GNU Hurd through Guix
>> package manager, in the 'Check' phase I have 4 errors; I am attaching
>> the build log(config.zip), environment
>> variables(environment-variables) and test log(check-guile.zip).
>>
>> This is a grep of errors, any idea how I can deal with this?
>>
>> /*---------------------------------------------------------------------------------*/
>> ERROR: 00-repl-server.test: repl-server: simple expression -
>> arguments: ((system-error "fport_fill_input" "~A" ("Transport endpoint
>> is not connected") (1073741881)))
>> ERROR: 00-repl-server.test: repl-server: HTTP inter-protocol attack - 
>> arguments: ((system-error "fport_fill_input" "~A" ("Transport endpoint
>> is not connected") (1073741881)))
> 
> The Guix package for Guile incorporates a patch that corresponds to
> Guile commit 2fbde7f02adb8c6585e9baf6e293ee49cd23d4c4, which fixes a
> race condition for these tests.
> 

While using guile 2.0.14, which has commit 2fbde7f02adb8c6, the bug is
still present. Any ideas on what could be causing this Ludo?

Manolis